
Redmine - Feature #6043

Prevent from leaving unsaved "New Issue" page.

2010-08-05 17:13 - GM 77

Status: Closed Start date: 2010-08-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

After leaving a partial filled "New Issue" page by accident, the "Description" text field as well as the combo boxes are restored to

there defaults (=> empty).  I remember that MoinMoin was presenting a warning box in this case and Bugzilla was able to restore all

the fields.  This is true with Firefox, Bugzilla, MoinMoin versions which were up-to-date two years ago so it should basically possible

to find a solution for the very annoying issue.

Using Firefox 3.6.

Related issues:

Is duplicate of Redmine - Feature #2910: Warning on leaving edited issue/wiki... Closed 2009-03-05

History

#1 - 2010-08-05 18:58 - Felix Schäfer

This is imho a problem of the browser, not the webservice. (for the record, some browsers warn before closing a tab/window in which inputs have

been changed, safari for example, I would suspect chrome too, firefox probably has an add-on)

#2 - 2011-02-24 19:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

A warning was added in r4900 when leaving a page with unsaved text.
